Subject: Re: bug#55362: 29.0.50; Super key no longer works on Wayland

From: Po Lu <[email-masked]>
Date: Fri, 25 Nov 2022 08:37:12 +0800

daanturo <[email-masked]> writes:

> The latest GTK3 version - 3.24.35 - released yesterday didn't include
> the fix by
> https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/5088/diffs :
>
> https://gitlab.gnome.org/GNOME/gtk/-/tags/3.24.35
> https://gitlab.gnome.org/GNOME/gtk/-/blob/14cf55f98ddd71ad3f91487eda1c7f14d67de119/gdk/wayland/gdkkeys-wayland.c
>
>
> I have just updated it on Arch and built Emacs on master but the super
> key still isn't recognized. If I understand correctly Emacs PGTK depends
> on GTK3 but not GTK4, then we should request GTK devs to backport
> the fix to GTK3?

I thought it was installed in the GTK 3 branch (and not the GTK 4 one).
So please go ahead and ask them to do that.

Thanks.